=== debian/changelog ===
pentobi (1.0-1) unstable; urgency=low

  * Initial release (Closes: #651789)

 -- Dean Evans <dean@codemonkies.net>  Sat, 10 Dec 2011 14:54:31 +1300
