=== debian/control ===
Source: pentobi
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Dean Evans <dean@codemonkies.net>
Build-Depends: debhelper (>= 8.0.0),
 cmake,
 libqt4-dev,
 libboost-system-dev,
 libboost-filesystem-dev,
 libboost-program-options-dev,
 imagemagick,
 librsvg2-bin
Standards-Version: 3.9.2
Homepage: http://pentobi.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-games/pentobi.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/pentobi.git;a=summary

Package: pentobi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: clone of Blokus, a strategy board game based on the concept of polyominoes
 Pentobi is a strategy board game played on a square grid board using playing
 pieces in the shapes of polyominoes, similar to Tetris pieces.  The aim of the
 game is to place all of your pieces while trying to block your opponent from
 placing all of theirs. 
 .
 The game ends when no one can place any more pieces and the winner is
 determined by calculating the score based on the points of any remaining 
 playing pieces. Bonus points are added for playing every piece and additional
 bonus points are added if the monomino, the 1x1 square piece, is played last.
