## pentobi 1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 2.8)
 project(Pentobi)
-set(PENTOBI_VERSION 1.0)
+set(PENTOBI_VERSION 1.1)
 
 option(PENTOBI_BUILD_TESTS "Build unit tests" OFF)
 option(PENTOBI_BUILD_GTP "Build GTP interface" OFF)
@@ -19,7 +19,7 @@
   add_definitions(-DLIBBOARDGAME_DEBUG)
 endif()
 
-if(CMAKE_COMPILER_IS_GNUCXX)
+if(CMAKE_COMPILER_IS_GNUCXX OR (CMAKE_CXX_COMPILER_ID MATCHES "Clang"))
   add_definitions(-std=c++0x)
   add_definitions(-ffast-math)
 endif()
@@ -60,7 +60,7 @@
 endif()
 # Boost versions that were not released when CMake 2.8 came out.
 # You might have to update this list if you use a newer version of Boost.
-set(Boost_ADDITIONAL_VERSIONS "1.45 1.45.0 1.46 1.46.0 1.46.1 1.47 1.47.0 1.48 1.48.0")
+set(Boost_ADDITIONAL_VERSIONS "1.45 1.45.0 1.46 1.46.0 1.46.1 1.47 1.47.0 1.48 1.48.0 1.49.0")
 # Note: some versions of Boost cause compilation errors if
 # used with certain versions of GCC and option -std=c++0x
 # (e.g. the combinations GCC 4.4/Boost 1.40 in Ubuntu 10.04
