=== doc/man/CMakeLists.txt ===
if(UNIX AND NOT APPLE)
  configure_file(pentobi.6.in pentobi.6 @ONLY)
  configure_file(pentobi-thumbnailer.6.in pentobi-thumbnailer.6 @ONLY)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pentobi.6
    DESTINATION share/man/man6)
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/pentobi-thumbnailer.6
    DESTINATION share/man/man6)
endif(UNIX AND NOT APPLE)
