=== debian/changelog ===
pentobi (1.1-1) unstable; urgency=low

  * New upstream release.
  * Fix path for the moved svg image and consequently the install
    path for the converted xpm image. 
  * Bump compat to 9 for hardening flags.
  * Add workaround for cmake ignoring CPPFLAGS to enable hardening
    buildflags.
  * Build-Depend on debhelper v9.
  * Bump Standards-Version to 3.9.3 without change.
  * Add libqt4-svg to Depends.
  * Update copyright Format URL now that it is officially released.

 -- Dean Evans <dean@codemonkies.net>  Tue, 13 Mar 2012 23:59:11 +1300
