=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders: Dean Evans <dean@codemonkies.net>
-Build-Depends: debhelper (>= 8.0.0),
+Build-Depends: debhelper (>= 9),
  cmake,
  libqt4-dev,
  libboost-system-dev,
@@ -11,14 +11,14 @@
  libboost-program-options-dev,
  imagemagick,
  librsvg2-bin
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://pentobi.sourceforge.net/
 Vcs-Git: git://git.debian.org/pkg-games/pentobi.git
 Vcs-Browser: http://git.debian.org/?p=pkg-games/pentobi.git;a=summary
 
 Package: pentobi
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-svg
 Description: clone of Blokus, a strategy board game based on the concept of polyominoes
  Pentobi is a strategy board game played on a square grid board using playing
  pieces in the shapes of polyominoes, similar to Tetris pieces.  The aim of the
