=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,15 @@
 #export DH_VERBOSE=1
 DH_ALWAYS_EXCLUDE:=CVS:.svn:.svnignore:.git:.gitignore
 
+CFLAGS+=$(CPPFLAGS)
+CXXFLAGS+=$(CPPFLAGS)
+
 override_dh_auto_configure:
 	dh_auto_configure -- -DPENTOBI_REGISTER_GNOME2_THUMBNAILER=OFF \
 			-DPENTOBI_BUILD_TESTS=ON
 
 override_dh_auto_build:
-	convert -scale 32x32 data/pentobi.svg data/pentobi.xpm
+	convert -scale 32x32 src/pentobi/pentobi.svg src/pentobi/pentobi.xpm
 	dh_auto_build
 
 override_dh_installchangelogs:
