=== debian/watch ===
version=3
http://sf.net/pentobi/pentobi-(.*)\.tar\.gz
