=== debian/changelog ===
pentobi (7.1-1) unstable; urgency=low

  * New upstream release.
  * Add myself to Uploaders.
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Update debian/copyright.
    + Add Upstream-Contact field.
    + Update copyright years.
    + Remove the Tango icons which Pentobi upstream is no longer shipping.
    + Add myself to packaging files’ copyright holders.
  * Fix path for the svg and generated xpm icons.
  * Improve debian/menu longtitle.
    Thanks to Bill Allombert, Chris Leick (Closes: #684476)
  * Don’t install upstream changelog twice.
  * Remove unneeded Build-Depends on boost libraries and Depends on libqt4-svg.
  * Use canonical Vcs-Git and Vcs-Browser URIs.
  * Fix CMake flags.
  * Register the user manuals with doc-base.
  * Replace duplicate files of en_CA and en_GB manuals with symlinks.
  * Unapply patches from source to ease package maintaining with git.
  * Add patches.
    + hyphen-used-as-minus-sign to fix manpage using hyphens as minus signs
    + desktop-entry-keywords to add Keywords to desktop entry
  * Remove installed COPYING file containing GPL-3.0+.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Sun, 25 Aug 2013 10:37:54 +0300
