=== debian/control ===
--- 
+++ 
@@ -2,23 +2,23 @@
 Section: games
 Priority: optional
 Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
-Uploaders: Dean Evans <dean@codemonkies.net>
+Uploaders: Dean Evans <dean@codemonkies.net>,
+ Juhani Numminen <juhaninumminen0@gmail.com>
 Build-Depends: debhelper (>= 9),
  cmake,
  libqt4-dev,
- libboost-system-dev,
- libboost-filesystem-dev,
- libboost-program-options-dev,
  imagemagick,
- librsvg2-bin
-Standards-Version: 3.9.3
+ librsvg2-bin,
+ rdfind,
+ symlinks
+Standards-Version: 3.9.4
 Homepage: http://pentobi.sourceforge.net/
-Vcs-Git: git://git.debian.org/pkg-games/pentobi.git
-Vcs-Browser: http://git.debian.org/?p=pkg-games/pentobi.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-games/pentobi.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/pentobi.git;a=summary
 
 Package: pentobi
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-svg
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: clone of Blokus, a strategy board game based on the concept of polyominoes
  Pentobi is a strategy board game played on a square grid board using playing
  pieces in the shapes of polyominoes, similar to Tetris pieces.  The aim of the
