## pentobi 7.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 # Use all lower-case for project name because it is used in
 # CMAKE_INSTALL_DOCDIR of GNUInstallDirs
 project(pentobi)
-set(PENTOBI_VERSION 7.1)
+set(PENTOBI_VERSION 7.2)
 
 include(CheckIncludeFiles)
 include(GNUInstallDirs)
@@ -126,8 +126,8 @@
 
 add_custom_target(post-install
   COMMAND
-  update-desktop-database ${CMAKE_INSTALL_DATAROOTDIR}/applications\;
-  update-mime-database ${CMAKE_INSTALL_DATAROOTDIR}/mime\;
+  update-mime-database ${CMAKE_INSTALL_FULL_DATAROOTDIR}/mime\;
+  update-desktop-database ${CMAKE_INSTALL_FULL_DATAROOTDIR}/applications\;
   )
 
 install(FILES README NEWS COPYING doc/blksgf/Pentobi-SGF.html
