=== doc/CMakeLists.txt ===
add_subdirectory(man)
