=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-add_subdirectory(book)
+add_subdirectory(books)
 add_subdirectory(libboardgame_sys)
 add_subdirectory(libboardgame_util)
 add_subdirectory(libboardgame_sgf)
@@ -13,11 +13,17 @@
 
 if (PENTOBI_BUILD_TESTS)
   add_subdirectory(libboardgame_test)
+  add_subdirectory(libboardgame_test_main)
   add_subdirectory(unittest)
 endif()
 
 if (PENTOBI_BUILD_GUI)
   add_subdirectory(libpentobi_gui)
+  add_subdirectory(libpentobi_thumbnail)
   add_subdirectory(pentobi_thumbnailer)
   add_subdirectory(pentobi)
+  if(PENTOBI_BUILD_KDE_THUMBNAILER)
+    add_subdirectory(libpentobi_kde_thumbnailer)
+    add_subdirectory(pentobi_kde_thumbnailer)
+  endif()
 endif()
