=== windows_installer/CMakeLists.txt ===
configure_file(install.nsis.in install.nsis @ONLY)
