=== src/libboardgame_base/CMakeLists.txt ===
--- 
+++ 
@@ -6,6 +6,7 @@
 set(boardgame_base_STAT_SRCS
   CoordPoint.cpp
   Engine.cpp
+  Rating.cpp
   SpreadsheetStringRep.cpp
   Transform.cpp
   )
