=== src/libboardgame_sgf/CMakeLists.txt ===
--- 
+++ 
@@ -5,12 +5,14 @@
 
 set(boardgame_sgf_STAT_SRCS
   InvalidPropertyValue.cpp
+  InvalidTree.cpp
   MissingProperty.cpp
   Node.cpp
   Reader.cpp
   Tree.cpp
   TreeIterator.cpp
   TreeReader.cpp
+  TreeWriter.cpp
   Util.cpp
   Writer.cpp
   )
