=== debian/changelog ===
pentobi (7.2-1) unstable; urgency=medium

  * New upstream release.
  * Import upstream GPG key for uscan to verify the orig tarball.
  * Build-Depend on g++-4.8 instead of g++ (>= 4:4.7) and export
    CXX=g++-4.8 to be able to build on arches with older default gcc.
  * Update copyright years.
  * Drop all patches; they have been applied upstream.
    - 0001-hyphen-used-as-minus-sign.patch
    - 0002-desktop-entry-keywords.patch
    - 0003-fix-RandomGenerator-compilation-error.patch

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Thu, 30 Jan 2014 20:25:26 +0200

pentobi (7.1-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.5, no changes needed.
  * Add a patch to fix RandomGenerator compilation error.
  * Build-Depend on g++ >= 4:4.7 to avoid build failures caused by
    -std=c++11 option being unknown.
  * Install the file ’NEWS’ as ’changelog’.
  * Enable KDE thumbnailer.
  * Build a separate binary package for the KDE thumbnailer to avoid
    dependency on KDE libraries.
  * Shorten the too long short description.
  * Wrap and sort packaging files.
  * Generate PNG images from their SVG sources.
  * Remove workaround for cmake ignoring CPPFLAGS which isn’t needed any more.
  * Compile with -O3 to make the computationally expensive higher levels faster.

 -- Juhani Numminen <juhaninumminen0@gmail.com>  Sat, 14 Dec 2013 20:26:55 +0200
