=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://sf.net/pentobi/pentobi-(.*)\.tar\.gz
